Puppet device_manager模块安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1345330 漏洞类型 信任管理问题
发布时间 2018-10-08 更新时间 2019-10-23
CVE编号 CVE-2018-11748 CNNVD-ID CNNVD-201810-057
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201810-057
|漏洞详情
Puppet是美国Puppet实验室的一套基于客户端/服务器(C/S)架构的配置管理工具。该工具可用于管理配置文件、用户、cron任务、软件包、系统服务等。device_manager module是其中的一个设备管理模块。 Puppet device_manager模块2.7.0之前版本中存在安全漏洞,该漏洞源于程序将所创建的带有证书的配置文件设置成全局可读取。攻击者可利用该漏洞获取敏感信息。
|参考资料

来源:puppet.com

链接:https://puppet.com/security/cve/CVE-2018-11748